diff --git a/tests/workflow/test_carddata.py b/tests/workflow/test_carddata.py
index 269f4d9f3..c08b825fa 100644
--- a/tests/workflow/test_carddata.py
+++ b/tests/workflow/test_carddata.py
@@ -38,21 +38,7 @@ def pub(request):
     return pub
 
 
-@pytest.fixture
-def two_pubs(request):
-    pub = create_temporary_pub(sql_mode=True)
-    pub.cfg['language'] = {'language': 'en'}
-    pub.write_cfg()
-    req = HTTPRequest(None, {'SERVER_NAME': 'example.net', 'SCRIPT_NAME': ''})
-    req.response.filter = {}
-    req._user = None
-    pub._set_request(req)
-    req.session = sessions.BasicSession(id=1)
-    pub.set_config(req)
-    return pub
-
-
-def test_create_carddata(two_pubs):
+def test_create_carddata(pub):
     CardDef.wipe()
     FormDef.wipe()
 
@@ -104,7 +90,7 @@ def test_create_carddata(two_pubs):
 
     assert carddef.data_class().count() == 1
 
-    errors = two_pubs.loggederror_class.select()
+    errors = pub.loggederror_class.select()
     assert len(errors) == 2
     assert any('form_var_undefined' in (error.exception_message or '') for error in errors)
     assert any('invalid date value' in (error.exception_message or '') for error in errors)
@@ -316,7 +302,7 @@ def test_create_carddata_with_links(pub):
     assert carddata2.data['2'] == str(carddata1.id)
 
 
-def test_create_carddata_with_map_field(two_pubs):
+def test_create_carddata_with_map_field(pub):
     CardDef.wipe()
     FormDef.wipe()
 
@@ -383,7 +369,7 @@ def test_create_carddata_with_map_field(two_pubs):
     assert carddef.data_class().count() == 1
     assert not carddef.data_class().select()[0].data.get('1')
 
-    errors = two_pubs.loggederror_class.select()
+    errors = pub.loggederror_class.select()
     assert len(errors) == 1
     assert any('invalid coordinates' in (error.exception_message or '') for error in errors)
 
@@ -400,16 +386,16 @@ def test_create_carddata_with_map_field(two_pubs):
     assert carddef.data_class().select()[0].data.get('1') == '2;3'
 
 
-def test_create_carddata_user_association(two_pubs):
+def test_create_carddata_user_association(pub):
     CardDef.wipe()
     FormDef.wipe()
-    two_pubs.user_class.wipe()
+    pub.user_class.wipe()
 
-    user = two_pubs.user_class()
+    user = pub.user_class()
     user.email = 'test@example.net'
     user.name_identifiers = ['xyz']
     user.store()
-    user2 = two_pubs.user_class()
+    user2 = pub.user_class()
     user2.store()
 
     carddef = CardDef()
@@ -513,15 +499,15 @@ def test_create_carddata_user_association(two_pubs):
         formdata.data = {}
         formdata.user_id = user.id
         formdata.just_created()
-        if two_pubs.loggederror_class:
-            two_pubs.loggederror_class.wipe()
+        if pub.loggederror_class:
+            pub.loggederror_class.wipe()
         formdata.perform_workflow()
 
         assert carddef.data_class().count() == 1
         assert carddef.data_class().select()[0].user is None
-        if two_pubs.loggederror_class:
-            assert two_pubs.loggederror_class.count() == 1
-            logged_error = two_pubs.loggederror_class.select()[0]
+        if pub.loggederror_class:
+            assert pub.loggederror_class.count() == 1
+            logged_error = pub.loggederror_class.select()[0]
             assert logged_error.summary == 'Failed to attach user (not found: "%s")' % invalid_user[1]
             assert logged_error.formdata_id == str(formdata.id)
 
@@ -541,10 +527,10 @@ def test_create_carddata_user_association(two_pubs):
     assert carddef.data_class().select()[0].user is None
 
 
-def test_create_carddata_map_fields_by_varname(two_pubs):
+def test_create_carddata_map_fields_by_varname(pub):
     CardDef.wipe()
     FormDef.wipe()
-    two_pubs.user_class.wipe()
+    pub.user_class.wipe()
 
     carddef = CardDef()
     carddef.name = 'My card'
@@ -739,7 +725,7 @@ def test_edit_carddata_with_linked_object(pub):
     assert card_data.data['2'] == '3'
 
 
-def test_edit_carddata_manual_targeting(two_pubs):
+def test_edit_carddata_manual_targeting(pub):
     FormDef.wipe()
     CardDef.wipe()
 
@@ -828,7 +814,7 @@ def test_edit_carddata_manual_targeting(two_pubs):
     assert carddef.data_class().get(2).data['2'] == '0'
     assert carddef.data_class().get(3).data['2'] == '0'
     assert carddef.data_class().get(4).data['2'] == '2'
-    assert two_pubs.loggederror_class.count() == 0
+    assert pub.loggederror_class.count() == 0
 
     # configure target
     edit.target_id = '{{ form_var_string }}'  # == '1'
@@ -856,7 +842,7 @@ def test_edit_carddata_manual_targeting(two_pubs):
     assert carddef.data_class().get(3).data['2'] == '0'
     assert carddef.data_class().get(4).data['2'] == '2'
     assert carddef.data_class().get(5).data['2'] == '2'
-    assert two_pubs.loggederror_class.count() == 0
+    assert pub.loggederror_class.count() == 0
 
     # target not found
     edit.target_id = '42{{ form_var_string }}'  # == '421'
@@ -885,8 +871,8 @@ def test_edit_carddata_manual_targeting(two_pubs):
     assert carddef.data_class().get(4).data['2'] == '2'
     assert carddef.data_class().get(5).data['2'] == '2'
     assert carddef.data_class().get(6).data['2'] == '2'
-    assert two_pubs.loggederror_class.count() == 1
-    logged_error = two_pubs.loggederror_class.select()[0]
+    assert pub.loggederror_class.count() == 1
+    logged_error = pub.loggederror_class.select()[0]
     assert logged_error.summary == 'Could not find targeted "Parent" object by id 421'
 
     # slug not or badly configured
@@ -1135,12 +1121,12 @@ def test_assign_carddata_with_linked_object(pub):
     assert str(card_data.user_id) == str(user.id)
 
 
-def test_assign_carddata_manual_targeting(two_pubs):
+def test_assign_carddata_manual_targeting(pub):
     FormDef.wipe()
     CardDef.wipe()
-    two_pubs.user_class.wipe()
+    pub.user_class.wipe()
 
-    user = two_pubs.user_class()
+    user = pub.user_class()
     user.email = 'test@example.net'
     user.name_identifiers = ['xyz']
     user.store()
@@ -1225,7 +1211,7 @@ def test_assign_carddata_manual_targeting(two_pubs):
     assert carddef.data_class().get(2).user_id is None
     assert carddef.data_class().get(3).user_id is None
     assert carddef.data_class().get(4).user_id is None
-    assert two_pubs.loggederror_class.count() == 0
+    assert pub.loggederror_class.count() == 0
 
     # configure target
     assign.target_id = '{{ form_var_string }}'  # == '1'
@@ -1253,7 +1239,7 @@ def test_assign_carddata_manual_targeting(two_pubs):
     assert carddef.data_class().get(3).user_id is None
     assert carddef.data_class().get(4).user_id is None
     assert carddef.data_class().get(5).user_id is None
-    assert two_pubs.loggederror_class.count() == 0
+    assert pub.loggederror_class.count() == 0
 
     # target not found
     assign.target_id = '42{{ form_var_string }}'  # == '424'
@@ -1282,8 +1268,8 @@ def test_assign_carddata_manual_targeting(two_pubs):
     assert carddef.data_class().get(4).user_id is None  # not changed
     assert carddef.data_class().get(5).user_id is None
     assert carddef.data_class().get(6).user_id is None
-    assert two_pubs.loggederror_class.count() == 1
-    logged_error = two_pubs.loggederror_class.select()[0]
+    assert pub.loggederror_class.count() == 1
+    logged_error = pub.loggederror_class.select()[0]
     assert logged_error.summary == 'Could not find targeted "Parent" object by id 424'
 
     # slug not or badly configured
@@ -1435,16 +1421,16 @@ def test_assign_carddata_from_created_object(pub):
     assert str(carddata_reloaded.user_id) == str(user.id)
 
 
-def test_assign_carddata_user_association(two_pubs):
+def test_assign_carddata_user_association(pub):
     CardDef.wipe()
     FormDef.wipe()
-    two_pubs.user_class.wipe()
+    pub.user_class.wipe()
 
-    user = two_pubs.user_class()
+    user = pub.user_class()
     user.email = 'test@example.net'
     user.name_identifiers = ['xyz']
     user.store()
-    user2 = two_pubs.user_class()
+    user2 = pub.user_class()
     user2.store()
 
     carddef = CardDef()
@@ -1555,14 +1541,14 @@ def test_assign_carddata_user_association(two_pubs):
     formdata = FormDef.get(formdef.id).data_class()()
     formdata.data = {'0': '1'}
     formdata.just_created()
-    if two_pubs.loggederror_class:
-        two_pubs.loggederror_class.wipe()
+    if pub.loggederror_class:
+        pub.loggederror_class.wipe()
     formdata.perform_workflow()
 
     assert carddef.data_class().select()[0].user is None
-    if two_pubs.loggederror_class:
-        assert two_pubs.loggederror_class.count() == 1
-        logged_error = two_pubs.loggederror_class.select()[0]
+    if pub.loggederror_class:
+        assert pub.loggederror_class.count() == 1
+        logged_error = pub.loggederror_class.select()[0]
         assert logged_error.summary == 'Failed to attach user (not found: "zzz")'
         assert logged_error.formdata_id == str(formdata.id)
 
diff --git a/tests/workflow/test_formdata.py b/tests/workflow/test_formdata.py
index 89098d926..6c403b75e 100644
--- a/tests/workflow/test_formdata.py
+++ b/tests/workflow/test_formdata.py
@@ -34,23 +34,9 @@ def pub(request):
     return pub
 
 
-@pytest.fixture
-def two_pubs(request):
-    pub = create_temporary_pub(sql_mode=True)
-    pub.cfg['language'] = {'language': 'en'}
-    pub.write_cfg()
-    req = HTTPRequest(None, {'SERVER_NAME': 'example.net', 'SCRIPT_NAME': ''})
-    req.response.filter = {}
-    req._user = None
-    pub._set_request(req)
-    req.session = sessions.BasicSession(id=1)
-    pub.set_config(req)
-    return pub
-
-
-def test_create_formdata(two_pubs):
+def test_create_formdata(pub):
     FormDef.wipe()
-    two_pubs.tracking_code_class.wipe()
+    pub.tracking_code_class.wipe()
 
     target_formdef = FormDef()
     target_formdef.name = 'target form'
@@ -82,7 +68,7 @@ def test_create_formdata(two_pubs):
     formdata.just_created()
 
     assert target_formdef.data_class().count() == 0
-    assert two_pubs.loggederror_class.count() == 0
+    assert pub.loggederror_class.count() == 0
     # check unconfigure action do nothing
     formdata.perform_workflow()
     assert target_formdef.data_class().count() == 0
@@ -93,7 +79,7 @@ def test_create_formdata(two_pubs):
     formdata.perform_workflow()
     assert target_formdef.data_class().count() == 1
 
-    errors = two_pubs.loggederror_class.select()
+    errors = pub.loggederror_class.select()
     assert len(errors) == 2
     assert 'form_var_toto_string' in errors[0].exception_message
     assert errors[1].summary == 'Missing field: unknown (1), unknown (2)'
@@ -101,7 +87,7 @@ def test_create_formdata(two_pubs):
     assert errors[1].formdata_id == str(target_formdef.data_class().select()[0].id)
 
     # add field labels cache
-    two_pubs.loggederror_class.wipe()
+    pub.loggederror_class.wipe()
     target_formdef.data_class().wipe()
     create.formdef_slug = target_formdef.url_name
     create.cached_field_labels = {'0': 'field0', '1': 'field1', '2': 'field2'}
@@ -110,14 +96,14 @@ def test_create_formdata(two_pubs):
     formdata.perform_workflow()
     assert target_formdef.data_class().count() == 1
 
-    errors = two_pubs.loggederror_class.select()
+    errors = pub.loggederror_class.select()
     assert len(errors) == 2
     assert errors[1].summary == 'Missing field: field1, field2'
 
     # no tracking code has been created
     created_formdata = target_formdef.data_class().select()[0]
     assert created_formdata.tracking_code is None
-    assert two_pubs.tracking_code_class.count() == 0
+    assert pub.tracking_code_class.count() == 0
     # now we want one
     target_formdef.enable_tracking_codes = True
     target_formdef.store()
@@ -127,9 +113,9 @@ def test_create_formdata(two_pubs):
     assert target_formdef.data_class().count() == 1
     created_formdata = target_formdef.data_class().select()[0]
     assert created_formdata.tracking_code is not None
-    assert two_pubs.tracking_code_class.count() == 1
-    assert two_pubs.tracking_code_class.select()[0].formdef_id == target_formdef.id
-    assert two_pubs.tracking_code_class.select()[0].formdata_id == str(created_formdata.id)
+    assert pub.tracking_code_class.count() == 1
+    assert pub.tracking_code_class.select()[0].formdef_id == target_formdef.id
+    assert pub.tracking_code_class.select()[0].formdata_id == str(created_formdata.id)
 
     create.condition = {'type': 'python', 'value': '1 == 2'}
     wf.store()
@@ -160,9 +146,9 @@ def test_create_formdata_migration(pub):
     assert not hasattr(wf.possible_status[0].items[0], 'keep_user')
 
 
-def test_create_formdata_tracking_code(two_pubs, emails):
+def test_create_formdata_tracking_code(pub, emails):
     FormDef.wipe()
-    two_pubs.tracking_code_class.wipe()
+    pub.tracking_code_class.wipe()
 
     target_wf = Workflow(name='send-mail')
     st1 = target_wf.add_status('Status1', 'st1')
@@ -213,9 +199,9 @@ def test_create_formdata_tracking_code(two_pubs, emails):
     assert tracking_code in emails.get('Foobar')['payload']
 
 
-def test_create_formdata_attach_to_history(two_pubs):
+def test_create_formdata_attach_to_history(pub):
     FormDef.wipe()
-    two_pubs.tracking_code_class.wipe()
+    pub.tracking_code_class.wipe()
 
     target_formdef = FormDef()
     target_formdef.name = 'target form'
@@ -270,8 +256,8 @@ def test_create_formdata_attach_to_history(two_pubs):
     assert 'New form created (deleted, 1-1)' in str(formdata.evolution[-1].parts[0].view())
 
 
-def test_create_formdata_card_item_mapping(two_pubs):
-    two_pubs.loggederror_class.wipe()
+def test_create_formdata_card_item_mapping(pub):
+    pub.loggederror_class.wipe()
     FormDef.wipe()
     CardDef.wipe()
 
@@ -363,7 +349,7 @@ def test_create_formdata_card_item_mapping(two_pubs):
     target_formdata = target_formdef.data_class().select()[0]
     assert target_formdata.data.get('0') is None
     assert target_formdata.data.get('0_display') is None
-    assert two_pubs.loggederror_class.count() == 1
-    assert two_pubs.loggederror_class.count() == 1
-    error = two_pubs.loggederror_class.select()[0]
+    assert pub.loggederror_class.count() == 1
+    assert pub.loggederror_class.count() == 1
+    error = pub.loggederror_class.select()[0]
     assert error.exception_message == "unknown card value ('XXX')"
diff --git a/tests/workflow/test_notification.py b/tests/workflow/test_notification.py
index 59d167c7a..e0b1de802 100644
--- a/tests/workflow/test_notification.py
+++ b/tests/workflow/test_notification.py
@@ -20,8 +20,9 @@ def teardown_module(module):
     clean_temporary_pub()
 
 
-def pub_fixture(**kwargs):
-    pub = create_temporary_pub(**kwargs)
+@pytest.fixture
+def pub():
+    pub = create_temporary_pub()
     pub.cfg['language'] = {'language': 'en'}
     pub.write_cfg()
     req = HTTPRequest(None, {'SERVER_NAME': 'example.net', 'SCRIPT_NAME': ''})
@@ -33,16 +34,6 @@ def pub_fixture(**kwargs):
     return pub
 
 
-@pytest.fixture
-def pub(request):
-    return pub_fixture()
-
-
-@pytest.fixture
-def sql_pub(request):
-    return pub_fixture(sql_mode=True)
-
-
 def test_notifications(pub, http_requests):
     pub.user_class.wipe()
     FormDef.wipe()
@@ -152,15 +143,15 @@ def test_notifications(pub, http_requests):
     assert set(json.loads(http_requests.get_last('body'))['name_ids']) == {'xxy1'}
 
 
-def test_notifications_to_users_template(sql_pub, http_requests):
-    sql_pub.user_class.wipe()
+def test_notifications_to_users_template(pub, http_requests):
+    pub.user_class.wipe()
     FormDef.wipe()
 
-    user1 = sql_pub.user_class(name='userA')
+    user1 = pub.user_class(name='userA')
     user1.name_identifiers = ['xxy1']
     user1.email = 'user1@example.com'
     user1.store()
-    user2 = sql_pub.user_class(name='userB')
+    user2 = pub.user_class(name='userB')
     user2.name_identifiers = ['xxy2']
     user2.email = 'user2@example.com'
     user2.store()
@@ -193,9 +184,9 @@ def test_notifications_to_users_template(sql_pub, http_requests):
     formdata.store()
 
     assert not SendNotificationWorkflowStatusItem.is_available()
-    if not sql_pub.site_options.has_section('variables'):
-        sql_pub.site_options.add_section('variables')
-    sql_pub.site_options.set('variables', 'portal_url', 'https://portal/')
+    if not pub.site_options.has_section('variables'):
+        pub.site_options.add_section('variables')
+    pub.site_options.set('variables', 'portal_url', 'https://portal/')
     assert SendNotificationWorkflowStatusItem.is_available()
 
     item = SendNotificationWorkflowStatusItem()
@@ -254,8 +245,8 @@ def test_notifications_to_users_template(sql_pub, http_requests):
     item.perform(formdata)
     assert http_requests.count() == 1
     assert set(json.loads(http_requests.get_last('body'))['name_ids']) == {'xxy1'}
-    assert sql_pub.loggederror_class.count() == 1
-    logged_error = sql_pub.loggederror_class.select()[0]
+    assert pub.loggederror_class.count() == 1
+    logged_error = pub.loggederror_class.select()[0]
     assert logged_error.summary == 'Failed to notify user (not found: "foobar")'
     assert logged_error.formdata_id == str(formdata.id)
 
@@ -264,8 +255,8 @@ def test_notifications_to_users_template(sql_pub, http_requests):
     http_requests.empty()
     item.perform(formdata)
     assert http_requests.count() == 0
-    assert sql_pub.loggederror_class.count() == 2
-    logged_error = sql_pub.loggederror_class.select()[1]
+    assert pub.loggederror_class.count() == 2
+    logged_error = pub.loggederror_class.select()[1]
     assert logged_error.summary == 'Failed to notify users, bad template result (None)'
     assert logged_error.formdata_id == str(formdata.id)
 
@@ -274,14 +265,13 @@ def test_notifications_to_users_template(sql_pub, http_requests):
     http_requests.empty()
     item.perform(formdata)
     assert http_requests.count() == 0
-    assert sql_pub.loggederror_class.count() == 3
-    logged_error = sql_pub.loggederror_class.select()[2]
+    assert pub.loggederror_class.count() == 3
+    logged_error = pub.loggederror_class.select()[2]
     assert logged_error.summary == 'Failed to compute template'
     assert logged_error.formdata_id == str(formdata.id)
 
 
-def test_notifications_target_url(sql_pub, http_requests):
-    pub = sql_pub
+def test_notifications_target_url(pub, http_requests):
     pub.substitutions.feed(pub)
     pub.user_class.wipe()
     user = pub.user_class()
-- 
2.36.1

